{% extends 'base.html' %}
{% load static %}

{% block messages %}
{% if messages %}
{% for message in messages %}
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-8">
            {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}
            <div class="alert alert-danger" role="alert">
                {{message|safe}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% elif message.level == DEFAULT_MESSAGE_LEVELS.INFO %}
            <div class="alert alert-info" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% else %}
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% endif %}
        </div>
    </div>
</div>
{% endfor %}
{% endif %}
{% endblock %}

{% block body %}

<!-- Modal -->
<div class="modal" id="agregarDireccion" tabindex="-1" aria-labelledby="agregarDireccionLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content">
            <form action="{% url 'agregar_direccion' %}" method="POST">
                {% csrf_token %}
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Agregar dirección</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="container-fluid">
                        <div class="form-row">
                            <div class="col">
                                <div class="form-group">
                                    <label for="nombre">Nombre</label>
                                    <input type="text" name="nombre" id="nombre" class="form-control form-control-sm">
                                </div>
                            </div>

                            <div class="col">
                                <div class="form-group">
                                    <label for="pais">País</label>
                                    <select name="pais" id="pais" class="form-control">
                                        <option value="Chile">Chile</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="col">
                                <div class="form-group">
                                    <label for="region">Región</label>
                                    <select name="region" id="region" class="form-control">
                                        {% for i in regiones %}
                                        <option value="{{i.region}}">{{i.region}}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                            <div class="col">
                                <div class="form-group">
                                    <label for="codigopostal">Código postal</label>
                                    <input type="number" name="codigopostal" id="codigopostal" class="form-control form-control-sm">
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="detalle">Dirección</label>
                                    <input type="text" name="detalle" id="detalle" class="form-control form-control-sm">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                    <input type="submit" value="Agregar" class="btn btn-success" id="btnAgregarProducto">
                </div>
            </form>
        </div>
    </div>
</div>
<!-- End Modal -->

<div class="container">
    <div class="row">
        <div class="col-12">
            <div class="row" style="margin-bottom: 5px;">
                <div class="col-6">
                    <h3>Mis direcciones</h3>
                </div>
                <div class="col-6 text-right">
                    <!-- Button trigger modal -->
                    <button type="button" class="btn btn-success" data-toggle="modal" data-target="#agregarDireccion">
                        Nueva dirección
                    </button>
                </div>
            </div>

            <div class="card card-body">
                <table class="table table-sm table-bordered table-striped text-center">
                    <tr>
                        <th>Nombre</th>
                        <th>País</th>
                        <th>Región</th>
                        <th>Código postal</th>
                        <th>Detalle</th>
                        <th>Acciones</th>
                    </tr>
                    {% for i in direcciones %}
                    <tr>
                        <td>{{i.Nombre}}</td>
                        <td>{{i.Pais}}</td>
                        <td>{{i.Region}}</td>
                        <td>{{i.CodigoPostal}}</td>
                        <td>{{i.Detalle}}</td>
                        <td>
                            <form action="{% url 'quitar_direccion' %}" method="post">
                                {% csrf_token %}
                                <input type="hidden" name="direccion" value="{{i.Id}}">
                                <input type="submit" value="Quitar" class="btn btn-danger btn-sm">
                            </form>
                        </td>
                    </tr>
                    {% endfor %}
                </table>
            </div>
        </div>
    </div>
</div>
{% endblock %}